# Gst::GioStreamSrc Class Reference
[gstreamermm Plugins]

Gst::GioStreamSrc - giostreamsrc plugin. More...

`#include <giostreamsrc.h>`

Inheritance diagram for Gst::GioStreamSrc:

List of all members.

## Public Member Functions
virtual | ~GioStreamSrc ()
GstGioStreamSrc* | gobj ()
| Provides access to the underlying C GObject.
const GstGioStreamSrc* | gobj () const
| Provides access to the underlying C GObject.
GstGioStreamSrc* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::RefPtr <Gio::InputStream >> | property_stream ()
| Stream to read from.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr <Gio::InputStream >> | property_stream () const
| Stream to read from.
## Static Public Member Functions
static Glib::RefPtr<GioStreamSrc> | create ()
| Creates a new giostreamsrc plugin with a unique name.
static Glib::RefPtr<GioStreamSrc> | create (const Glib::ustring& name)
| Creates a new giostreamsrc plugin with the given name.
## Protected Member Functions
| GioStreamSrc ()
| GioStreamSrc (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gst::GioStreamSrc> | wrap (GstGioStreamSrc* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gst::GioStreamSrc - giostreamsrc plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::GioStreamSrc::~GioStreamSrc | ( |  | ) | `[virtual]`

Gst::GioStreamSrc::GioStreamSrc | ( |  | ) | `[protected]`

Gst::GioStreamSrc::GioStreamSrc | ( | const Glib::ustring & | name | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<GioStreamSrc> Gst::GioStreamSrc::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new giostreamsrc plugin with the given name.

static Glib::RefPtr<GioStreamSrc> Gst::GioStreamSrc::create | ( |  | ) | `[static]`

Creates a new giostreamsrc plugin with a unique name.

const GstGioStreamSrc* Gst::GioStreamSrc::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSrc.

GstGioStreamSrc* Gst::GioStreamSrc::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSrc.

GstGioStreamSrc* Gst::GioStreamSrc::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseSrc.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gio::InputStream> > Gst::GioStreamSrc::property_stream | ( |  | ) | const

Stream to read from.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gio::InputStream> > Gst::GioStreamSrc::property_stream | ( |  | ) |

Stream to read from.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr<Gst::GioStreamSrc> wrap | ( | GstGioStreamSrc * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- giostreamsrc.h